import { select, csv, csvFormat } from 'd3';

const kilobytes = data =>
  Math.ceil(csvFormat(data).length / 1000);

const body = select('body');

csv('https://gist.githubusercontent.com/saipaidipalli/29ceca322f3c68954fc63b38029f5589/raw/371178d02b27d3acbcd362e35b01de9f0c83d27b/data.csv')
  .then(data => {
    
    body
      .append('pre')
        .text('First 10 rows:');

    body
      .append('pre')
        .text(JSON.stringify(data.slice(0, 10), null, 2));
  });
